Help Center

My JibJab Account →

Technical – What phone version do I need to run the JibJab app?

      • iOS 10 or greater
      • Android 5 or greater